> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/basketball-media/schedule-api/standings-api-coming-soon.md).

# Standings API (Coming Soon)

This endpoint returns the aggregated team standings for a specific season. Per each competition and season, this endpoint will return the following information:

* totalWins
* homeWins
* awayWins
* totalLosses
* homeLosses
* awayLosses
* lossesByWalkover
* totalDraws
* homeDraws
* awayDraws
* points
* last10GamesWinLose
* overtimeGamesWinLose
* currentStreak
* longestWinningStreak
* homeStreak
* awayStreak
* score
* homeScore
* awayScore
* opponentsScore
* homeOpponentsScore
* awayOpponentsScore
* averageScore
* averageHomeScore
* averageAwayScore
* averageOpponentsScore
* averageHomeOpponentsScore
* averageAwayOpponentsScore
* gamesPlayed
* gamesWinPercentage
* rank
* teamId
* name

## Endpoint URLs

**\[coming soon]**

This allows clients to determine the standings associated to that seasonId.

`https://dde-api.data.imgarena.com/basketball/seasons/{seasonId}/standings`

This allows clients to determine the standings associated to that stageId

`https://dde-api.data.imgarena.com/basketball/seasons/{stageId}/standings`

## Required Headers

| Key           | Value                                            |
| ------------- | ------------------------------------------------ |
| Accept        | application/vnd.imggaming.dde.api+json;version=1 |
| Content-Type  | application/json                                 |
| Authorization | Bearer eyvhaoudfgpdfgo\*                         |

## Response Model

This section details and describes the values within the standings payload within teamStatistics object

<table><thead><tr><th width="287">Field Name</th><th width="121">Type</th><th>Example</th><th>Description</th></tr></thead><tbody><tr><td>teamId</td><td>UUID</td><td>3f8d8fd7-2047-86a0-86ce-dc814b1c4817</td><td>The unique team Id</td></tr><tr><td>name</td><td>string</td><td>team 1</td><td>The team name</td></tr><tr><td>totalWins</td><td>integer</td><td>5</td><td>The total number of wins for that team</td></tr><tr><td>awayWins</td><td>integer</td><td>1</td><td>The total number of away wins for that team</td></tr><tr><td>totalLosses</td><td>integer</td><td>2</td><td>The total number of losses for that team</td></tr><tr><td>homeLosses</td><td>integer</td><td>3</td><td>The total number of home losses for that team</td></tr><tr><td>awayLosses</td><td>integer</td><td>2</td><td>The total number of home losses for that team</td></tr><tr><td>lossesByWalkover</td><td>integer</td><td>0</td><td>The total number of losses by walkover for that team</td></tr><tr><td>totalDraws</td><td>integer</td><td>1</td><td>The total number of draws for that team</td></tr><tr><td>homeDraws</td><td>integer</td><td>2</td><td>The total number of home draws for that team</td></tr><tr><td>awayDraws</td><td>integer</td><td>3</td><td>The total number of away draws for that team</td></tr><tr><td>points</td><td>integer</td><td>18</td><td>The total number of points for that team</td></tr><tr><td>last10GamesWinLose</td><td>string</td><td>W W W W W L W L W W</td><td>The win/loss game streak for that team</td></tr><tr><td>overtimeGamesWinLose</td><td>integer or null</td><td>1</td><td>The number of games that team has lost or won in overtime</td></tr><tr><td>currentStreak</td><td>integer</td><td>2</td><td>The current streak for that team</td></tr><tr><td>longestWinningStreak</td><td>integer</td><td>6</td><td>The longest winning streak for that team</td></tr><tr><td>homeStreak</td><td>integer</td><td>9</td><td>The home streak for that team</td></tr><tr><td>awayStreak</td><td>integer</td><td>4</td><td>The away streak for that team</td></tr><tr><td>score</td><td>integer</td><td>2513</td><td>The total scores for that team</td></tr><tr><td>homeScore</td><td>integer</td><td>1260</td><td>The total home scores for that team</td></tr><tr><td>awayScore</td><td>integer</td><td>1253</td><td>The total away scores for that team</td></tr><tr><td>opponentsScore</td><td>integer</td><td>2362</td><td>The total opponents score</td></tr><tr><td>homeOpponentsScore</td><td>integer</td><td>1153</td><td>The total home opponents score</td></tr><tr><td>awayOpponentsScore</td><td>integer</td><td>1209</td><td>The total away opponents score</td></tr><tr><td>averageScore</td><td>integer/decimal</td><td>83.76666666666667</td><td>The average score for that team</td></tr><tr><td>averageHomeScore</td><td>integer/decimal</td><td>84</td><td>The average home score for that team</td></tr><tr><td>averageAwayScore</td><td>integer/decimal</td><td>83.53333333333333</td><td>The average away score for that team</td></tr><tr><td>averageOpponentsScore</td><td>integer/decimal</td><td>78.73333333333333</td><td>The average opponent score</td></tr><tr><td>averageHomeOpponentsScore</td><td>integer/decimal</td><td>76.86666666666666</td><td>The average home opponent score</td></tr><tr><td>averageAwayOpponentsScore</td><td>integer/decimal</td><td>80.6</td><td>The average away opponent score</td></tr><tr><td>gamesPlayed</td><td>integer</td><td>30</td><td>The total number of games played</td></tr><tr><td>gamesWinPercentage</td><td>integer/decimal</td><td>0.7666666666666667</td><td>The win % of that team</td></tr><tr><td>rank</td><td>integer</td><td>1</td><td>The team rank in the standings in that season</td></tr></tbody></table>

#### Stage Object

<table><thead><tr><th width="172">Field Name</th><th width="160">Type</th><th>Example</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>UUID</td><td>28b1c981-31d0-4fe3-2b63-494f75f75825</td><td>The UUID relating to that stage</td></tr><tr><td>name</td><td>string</td><td>stage 1</td><td>The stage name</td></tr></tbody></table>

#### group object

| Field Name | Type   | Example                              | Description                     |
| ---------- | ------ | ------------------------------------ | ------------------------------- |
| id         | UUID   | ce665f80-01a1-2301-1e48-d8b269eb0713 | The UUID relating to that group |
| name       | string | group 1                              | The group name                  |

<table><thead><tr><th width="260">Field Name</th><th>Type</th><th>Example</th><th>Description</th></tr></thead><tbody><tr><td>externalIncomingDataLineId</td><td>UUID</td><td>a408f0cb-2da3-4ba2-971b-3a8bc5ae2b10</td><td>External Incoming Data LineId</td></tr><tr><td>timestamp</td><td>date/time</td><td>2022-08-18T13:09:17.404816Z</td><td>Production timestamp</td></tr></tbody></table>

## Full JSON Response

```json
[
  {
    "teamsStatistics": [
      {
        "teamId": "3f8d8fd7-2047-86a0-86ce-dc814b1c4817",
        "name": "team 1",
        "totalWins": 23,
        "homeWins": 13,
        "awayWins": 10,
        "totalLosses": 7,
        "homeLosses": 2,
        "awayLosses": 5,
        "lossesByWalkover": 0,
        "totalDraws": 0,
        "homeDraws": 0,
        "awayDraws": 0,
        "points": 76,
        "last10GamesWinLose": "W W W W W L W L W W",
        "overtimeGamesWinLose": "",
        "currentStreak": 2,
        "longestWinningStreak": 6,
        "homeStreak": 9,
        "awayStreak": 2,
        "score": 2513,
        "homeScore": 1260,
        "awayScore": 1253,
        "opponentsScore": 2362,
        "homeOpponentsScore": 1153,
        "awayOpponentsScore": 1209,
        "averageScore": 83.76666666666667,
        "averageHomeScore": 84,
        "averageAwayScore": 83.53333333333333,
        "averageOpponentsScore": 78.73333333333333,
        "averageHomeOpponentsScore": 76.86666666666666,
        "averageAwayOpponentsScore": 80.6,
        "gamesPlayed": 30,
        "gamesWinPercentage": 0.7666666666666667,
        "rank": 1
      },
      {
        "teamId": "ca80af30-4eb7-7ebf-a2e2-d15296fc8d72",
        "name": "team 2",
        "totalWins": 22,
        "homeWins": 12,
        "awayWins": 10,
        "totalLosses": 8,
        "homeLosses": 3,
        "awayLosses": 5,
        "lossesByWalkover": 0,
        "totalDraws": 0,
        "homeDraws": 0,
        "awayDraws": 0,
        "points": 74,
        "last10GamesWinLose": "L L L W W W W W W W",
        "overtimeGamesWinLose": "",
        "currentStreak": 7,
        "longestWinningStreak": 7,
        "homeStreak": 3,
        "awayStreak": 4,
        "score": 2554,
        "homeScore": 1332,
        "awayScore": 1222,
        "opponentsScore": 2359,
        "homeOpponentsScore": 1202,
        "awayOpponentsScore": 1157,
        "averageScore": 85.13333333333334,
        "averageHomeScore": 88.8,
        "averageAwayScore": 81.46666666666667,
        "averageOpponentsScore": 78.63333333333334,
        "averageHomeOpponentsScore": 80.13333333333334,
        "averageAwayOpponentsScore": 77.13333333333334,
        "gamesPlayed": 30,
        "gamesWinPercentage": 0.7333333333333333,
        "rank": 2
      }
    ],
    "stage": {
      "id": "28b1c981-31d0-4fe3-2b63-494f75f75825",
      "name": "stage 1"
    },
    "group": {
      "id": "ce665f80-01a1-2301-1e48-d8b269eb0713",
      "name": "group 1"
    },
    "externalIncomingDataLineId": "a408f0cb-2da3-4ba2-971b-3a8bc5ae2b10",
    "timestamp": "2022-08-18T13:09:17.404816Z"
  }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/basketball-media/schedule-api/standings-api-coming-soon.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
